[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.MouseMove

Performs actions needed for a mouse move message received for the control.

## Declaration

Source position: buttons.pp line 380

`protected procedure TCustomSpeedButton.MouseMove(`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse move event.
`X` |  | Horizontal coordinate where the mouse pointer was moved.
`Y` |  | Vertical coordinate where the mouse pointer was moved.

## Description

MouseMove calls the inherited method on entry to update the pointer position for the DragManager (when active) and to signal the OnMouseMove event handler (when assigned).

No additional actions are performed in the method at design-time.

if a drag operation has been started in MouseDown, the internal TButtonState for the control is updated to reflect the values in AllowAllUp and Down. When the button state has changed, the control is redrawn.

## See also

TCustomSpeedButton.MouseDown |  | Performs actions needed for a mouse down event on the control.
TButtonState |  | A set of constants to define the state of a SpeedButton.
TControl.OnMouseMove |  | Event handler signalled when the mouse pointer is moved in the control.
TControl.MouseMove |  | Handler for MouseMove events.
TControl.WMMouseMove |  | Message handler for mouse move events.